Crystal Space: csTriangle Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTriangle Struct Reference
[Geometry utilities]

A triangle. More...

`#include <csgeom/tri.h>`

Inheritance diagram for csTriangle:

[legend]
List of all members.

## Public Member Functions
| csTriangle (const csTriangle &t)
| Copy constructor.
| csTriangle (int _a, int _b, int _c)
| Convenience constructor, builds a triangle with initializers.
| csTriangle ()
| Empty default constructor.
csTriangle & | operator= (const csTriangle &t)
| Assignment.
void | Set (int _a, int _b, int _c)
| Set the values.
## Public Attributes
int | a
int | b
int | c

## Detailed Description

A triangle.

Note that this structure is only valid if used in combination with a vertex or edge table. 'a', 'b', and 'c' are then indices in that table (either vertices or edges).

Definition at line 36 of file tri.h.

## Constructor & Destructor Documentation

csTriangle::csTriangle | ( |  | ) | `[inline]`

Empty default constructor.

Definition at line 41 of file tri.h.

csTriangle::csTriangle | ( | int | _a,
|  | int | _b,
|  | int | _c |
| ) |  |  | `[inline]`

Convenience constructor, builds a triangle with initializers.

Definition at line 44 of file tri.h.

csTriangle::csTriangle | ( | const csTriangle & | t | ) | `[inline]`

Copy constructor.

Definition at line 47 of file tri.h.

References a, b, and c.

## Member Function Documentation

csTriangle& csTriangle::operator= | ( | const csTriangle & | t | ) | `[inline]`

Assignment.

Definition at line 55 of file tri.h.

References a, b, and c.

void csTriangle::Set | ( | int | _a,
|  | int | _b,
|  | int | _c |
| ) |  |  | `[inline]`

Set the values.

Definition at line 64 of file tri.h.

References a, b, and c.

The documentation for this struct was generated from the following file:

- csgeom/tri.h